/* Styles spécifiques à l’onglet availabilities */

#teamAvailGridWrapper {
    max-height: 50vh; /* ou 500px, ou autre valeur fixe */
    overflow: auto; /* affiche scroll si nécessaire */
    border: 1px solid #ddd;
}

.avail-table {
    border-collapse: collapse;
    width: 100%;
    table-layout: fixed;
}
.avail-table th,
.avail-table td {
    border: 1px solid #dee2e6;
    text-align: center;
    padding: 4px;
    font-size: 0.8rem;
}
.avail-date-cell {
    cursor: pointer;
    /* font-weight: 600;*/
    background-color: #f8f9fa;
    white-space: nowrap;
    text-align: left !important;
    font-family: monospace;
}
.avail-slot-cell {
    cursor: pointer;
    background-color: #ffffff;
    color: #ffffff;
}
.avail-slot-cell.available {
    background-color: #28a745;
    color: #ffffff;
}
.avail-slot-cell.locked {
    background-color: #0d6efd;
    color: #ffffff;
    /*cursor: pointer;*/
}
.avail-slot-cell.danger {
    background-color: #dc3545;
}
.avail-slot-cell.warning {
    background-color: #ffc10780;
}
.avail-slot-cell.success {
    background-color: #28a745;
    color:white;
}
.avail-slot-cell.secondary {
    background-color: #6c757d;
}
.avail-slot-cell.viewer-available {
    color: #28a745;
}
.avail-slot-cell.viewer-available.success { /* sinon on est en vert sur vert si .success et .viewer-available */
    color: white;
}
.avail-slot-cell.viewer-missing {
    /* background-color: #dc3545; */
}
.avail-slot-cell.viewer-missing::before {
    content: "🫵 ";
}
